Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.regex
Class RegexSplitter

    java.lang.Object
      cascading.operation.BaseOperation<C>
          cascading.operation.regex.RegexOperation<Pair<Pattern,Tuple>>
              cascading.operation.regex.RegexSplitter

All Implemented Interfaces:
  Function<Pair<Pattern,Tuple>>, Operation<Pair<Pattern,Tuple>>, Serializable

    public class RegexSplitter

extends RegexOperation<Pair<Pattern,Tuple>>
implements Function<Pair<Pattern,Tuple>>

Class RegexSplitter will split an incoming argument value by the given regex delimiter patternString.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.operation.regex.RegexOperation
`patternString`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`RegexSplitter(Fields fieldDeclaration)` Constructor RegexOperation creates a new RegexOperation instance, where the delimiter is the tab character.
`RegexSplitter(Fields fieldDeclaration, String patternString)` Constructor RegexSplitter creates a new RegexSplitter instance.
`RegexSplitter(String patternString)` Constructor RegexSplitter creates a new RegexSplitter instance.

Method Summary
`void` | `operate(FlowProcess flowProcess, FunctionCall<Pair<Pattern,Tuple>> functionCall)` Method operate provides the implementation of this Function.
`void` | `prepare(FlowProcess flowProcess, OperationCall<Pair<Pattern,Tuple>> operationCall)` Method prepare does nothing, and may safely be overridden.

Methods inherited from class cascading.operation.regex.RegexOperation
`equals, getPattern, getPatternString, hashCode`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

Constructor Detail

### RegexSplitter

    @ConstructorProperties(value="patternString")
    public RegexSplitter(String patternString)

  Constructor RegexSplitter creates a new RegexSplitter instance.

  Parameters:
    `patternString` - of type String

### RegexSplitter

    @ConstructorProperties(value="fieldDeclaration")
    public RegexSplitter(Fields fieldDeclaration)

  Constructor RegexOperation creates a new RegexOperation instance, where the delimiter is the tab character.

  Parameters:
    `fieldDeclaration` - of type Fields

### RegexSplitter

    @ConstructorProperties(value={"fieldDeclaration","patternString"})
    public RegexSplitter(Fields fieldDeclaration,
                                                    String patternString)

  Constructor RegexSplitter creates a new RegexSplitter instance.

  Parameters:
    `fieldDeclaration` - of type Fields
    `patternString` - of type String

Method Detail

### prepare

    public void prepare(FlowProcess flowProcess,
                        OperationCall<Pair<Pattern,Tuple>> operationCall)

  Description copied from class: `BaseOperation`
  Method prepare does nothing, and may safely be overridden.

  Specified by:
    `prepare` in interface `Operation<Pair<Pattern,Tuple>>`
  Overrides:
    `prepare` in class `BaseOperation<Pair<Pattern,Tuple>>`

### operate

    public void operate(FlowProcess flowProcess,
                        FunctionCall<Pair<Pattern,Tuple>> functionCall)

  Description copied from interface: `Function`
  Method operate provides the implementation of this Function.

  Specified by:
    `operate` in interface `Function<Pair<Pattern,Tuple>>`
  Parameters:
    `flowProcess` - of type FlowProcess
    `functionCall` - of type FunctionCall

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.